package com.sooka.mainpage.controller;

import com.sooka.mainpage.service.MainPageService;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/MainPageController")
public class MainPageController {

    @Resource
    MainPageService mainPageService;

    @RequestMapping("getVisualization")
    @ResponseBody
    public Map getVisualization(){
        return mainPageService.getVisualization();
    }


}
