package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TGuijiHousingconstructionYhjbxx;

/**
 * 自来水人员基本信息Mapper接口
 * 
 * @author lei
 * @date 2021-10-27
 */
public interface TGuijiHousingconstructionYhjbxxMapper 
{
    /**
     * 查询自来水人员基本信息
     * 
     * @param id 自来水人员基本信息ID
     * @return 自来水人员基本信息
     */
    public TGuijiHousingconstructionYhjbxx selectTGuijiHousingconstructionYhjbxxById(String id);

    /**
     * 查询自来水人员基本信息列表
     * 
     * @param tGuijiHousingconstructionYhjbxx 自来水人员基本信息
     * @return 自来水人员基本信息集合
     */
    public List<TGuijiHousingconstructionYhjbxx> selectTGuijiHousingconstructionYhjbxxList(TGuijiHousingconstructionYhjbxx tGuijiHousingconstructionYhjbxx);

    /**
     * 新增自来水人员基本信息
     * 
     * @param tGuijiHousingconstructionYhjbxx 自来水人员基本信息
     * @return 结果
     */
    public int insertTGuijiHousingconstructionYhjbxx(TGuijiHousingconstructionYhjbxx tGuijiHousingconstructionYhjbxx);

    /**
     * 修改自来水人员基本信息
     * 
     * @param tGuijiHousingconstructionYhjbxx 自来水人员基本信息
     * @return 结果
     */
    public int updateTGuijiHousingconstructionYhjbxx(TGuijiHousingconstructionYhjbxx tGuijiHousingconstructionYhjbxx);

    /**
     * 删除自来水人员基本信息
     * 
     * @param id 自来水人员基本信息ID
     * @return 结果
     */
    public int deleteTGuijiHousingconstructionYhjbxxById(String id);

    /**
     * 批量删除自来水人员基本信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiHousingconstructionYhjbxxByIds(String[] ids);
}
