function szy_gx(arr_name,arr_value) {
    var myChart_jk= echarts.init(document.getElementById('szygx'));
    option_jk = {
        tooltip: {
            trigger: 'axis',
            axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
            }
        },
        grid: {
            top:'10%',
            left: '6%',
            right: '2%',
            bottom: '10%',
            containLabel: true
        },
        xAxis: [
            {
                type: 'category',
                data: arr_name,
                axisTick: {
                    alignWithLabel: true
                },
                axisLine:{
                    show:true,
                    lineStyle:{color:'#1089f5'},
                },
                axisLabel:{
                    interval:0,
                    rotate:40,
                    show:true
                },
                splitLine:{
                    show:false
                },

            }
        ],
        yAxis: [
            {
                type: 'value',
                axisLine:{
                    show:false
                },
                axisLabel:{
                    show:false
                },
                splitLine:{
                    show:false
                },

            }
        ],
        series: [
            {
                name: '归集接口',
                type: 'bar',
                barWidth: '50%',
                itemStyle: {        //上方显示数值
                    normal: {
                        label: {
                            show: true, //开启显示
                            position: 'top', //在上方显示
                            textStyle: { //数值样式
                                color: 'white',
                                fontSize: 11
                            }
                        }
                    }
                },
                color: {
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0, color: '#045ec5' // 0% 处的颜色
                    }, {
                        offset: 1, color: '#00ffeb' // 100% 处的颜色
                    }],
                    global: false // 缺省为 false
                },
                data: arr_value
            }
        ]
    };
    myChart_jk.setOption(option_jk);
}

